## Handles initial player joining
# Always runs, since players can join at any time
# Also runs on players who left_game

# TP and set spawnpoint
spawnpoint @s 220 204 -1
tp @s 220 205 -1

# Set spawn team (this changes depending on game phase)
execute if score gameState timer matches 0 run team join Lobby @s
execute if score gameState timer matches 1.. run team join Spectators @s

# Prep for options menu operation
scoreboard players set @s options 0
scoreboard players enable @s options

# Reset the team join score
scoreboard players reset @s teamJoin
scoreboard players enable @s teamJoin

# Set gamemode according to team
gamemode adventure @s[team=Lobby]
gamemode spectator @s[team=Spectators]

# Display the title and objective
title @s times 10 30 10
title @s subtitle {"text":"Made by The Broken Buttons!","color":"gray","italic":"true"}
title @s title {"text":"Valley of the Kings","color":"gold","bold":"true"}
tellraw @s {"text":"Welcome to Valley of the Kings! Your goal is to find the enemy flag and return it to your base.","italic":"true","color":"gray"}

# Mineathon message
#tellraw @s {"text":"Click here to download the map!","bold":"true","color":"gold","clickEvent":{"action":"open_url","value":"http://bit.ly/MineathonVoK"},"hoverEvent":{"action":"show_text","value":"Click here!"}}

# Add the spawned tag
tag @s add firstSpawned

# Update gameCounter score
scoreboard players operation @s gameCounter = gameCounter timer

# Effects (based on gamestate)
effect give @s saturation 1000000 10 true

execute if score gameState timer matches 0..1 run effect give @s resistance 1000000 5 true
execute if score gameState timer matches 0..1 run effect give @s weakness 1000000 5 true

execute if score gameState timer matches 2 run effect give @s speed 1000000 1 true